Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 454609

Summary: [kn_IN] Collation order is needed for kannada
Product: [Fedora] Fedora Reporter: Shankar Prasad <svenkate>
Component: glibcAssignee: Pravin Satpute <psatpute>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: ankit, drepper, eng-i18n-bugs, fweimer
Target Milestone: ---Keywords: i18n
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: 2.8.90-9 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-07-20 09:01:52 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
It will add kannada collation support in glibc none

Description Shankar Prasad 2008-07-09 11:00:16 UTC
Description of problem: In nautilus, Kannada characters are not sorting in
proper order


Version-Release number of selected component (if applicable):
glibc-2.7.90-7


How reproducible:


Steps to Reproduce:
1.Log in Kn locale.
2.Create a few files with kannada scripts and save it with .txt extension.
3.Open the those files in Nautilus and see the sorting order  

Actual results: Sorting Order is not proper


Expected results: It should be in same order as kannada dictionary uses


Additional info:

Comment 1 Pravin Satpute 2008-07-09 11:08:46 UTC
working on that..
i will submit patch soon

Comment 2 Pravin Satpute 2008-07-11 12:14:20 UTC
Created attachment 311566 [details]
It will add kannada collation support in glibc

I have used unicode 5.1 for this..
used defualt sort order given by unicode, wherever sorting order is not clear

Comment 3 Ulrich Drepper 2008-07-11 17:07:05 UTC
The patch wasn't correctly formed (<xxxx) instead of <Uxxxx> in a few places). 
You reallt should test patches.

I've corrected the mistakes and checked in the patch upstream.

Comment 4 Pravin Satpute 2008-07-14 04:47:51 UTC
oops, 
it was giving me some errors for these code point...
'./locales/iso14651_t1_common:830: symbol `0CD5' not in repertoire map'
'./locales/iso14651_t1_common:831: symbol `0CC6' not in charmap'
my eyes really cant recognized actual problem...(silly mistake)
It will be better to ask such problems to you before putting patch
sorry for that..
i will ask doubts to you next time..

thanks for correcting patch and applying to upstream..

Comment 5 Ulrich Drepper 2008-07-20 09:01:52 UTC
The collcation data should be in 2.8.90-9.